# 32/64 bit spec
#
Name: openttd
Version: 1.7.0
Release: %mkrel 1
Summary: An open source clone of the Microprose game "Transport Tycoon Deluxe" game
Summary(de): 	Open-Source-Variante des Spiels Transport Tycoon (Deluxe)
Group: Games/Strategy
License: GPL
URL: http://www.openttd.org
Source: http://prdownloads.sourceforge.net/openttd/%{name}-%{version}-source.tar.xz
BuildRequires:	%{_lib}png-devel
BuildRequires:	SDL-devel
BuildRequires:	zlib1-devel
BuildRequires:	freetype-devel
BuildRequires:	fontconfig-devel
BuildRequires:	%{_lib}lzo-devel
BuildRequires:	icu-devel
BuildRequires:	unzip
BuildRequires:	ccache
Requires:	TiMidity++
Requires:	openttd-opengfx
Requires:	openttd-opensfx
Requires:	openttd-openmsx
Buildroot: %{_tmppath}/%{name}-%{version}-root

%description
OpenTTD is an open source clone of the Microprose game "Transport Tycoon
Deluxe" game.

%description -l de

OpenTTD ist ein Open-Source-Klon des Spiels Transport Tycoon Deluxe 
von Microprose.
#-------------------------------------------------------------------------------

%prep
rm -rf %{buildroot}

%setup -q -n %{name}-%{version}

%build
export CFLAGS="%{optflags}"
export CXXFLAGS="%{optflags}"
export LDFLAGS="%{ldflags}"

./configure \
	--prefix-dir=%{_prefix} \
	--with-ccache
%make


%install
rm -rf %{buildroot}
make INSTALL_DIR=%{buildroot} install

#cleanup
rm -rf %{buildroot}%{_datadir}/pixmaps

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
rm -Rf $RPM_BUILD_ROOT%{_datadir}/applications/openttd.desktop
cat >  $RPM_BUILD_ROOT%{_datadir}/applications/openttd.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Type=Application
Name=OpenTTD
GenericName=OpenTTD
Exec=openttd
Icon=/usr/share/icons/hicolor/32x32/apps/openttd.png
Terminal=false
StartUpNotify=true
Categories=X-MandrivaLinux-MoreApplications-Games-Strategy
EOF


%clean
rm -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc *.txt COPYING
%attr(0755,root,root) %{_gamesbindir}/openttd
%{_gamesdatadir}/openttd
%attr(0755,root,root) %{_datadir}/applications/openttd.desktop
%{_datadir}/icons/hicolor/*/apps/openttd.png
%{_mandir}/man6/openttd.*


%changelog
* Sat Aug 05 2017 adrianomorselli <adrianomorselli> 1.7.0-1uplos2017
- update
